public interface IntAlbero {

    /**
     * Permette di inserire l'intero passato come parametro
     * nella prima posizione libera piu' a sinistra
     */
    public void InserisciValore(int valore);

    /**
     * Permette di cercare un valore nel sotto-albero sinistro
     * @param valore il valore da cercare
     * @return true se il valore  presente, false altrimenti
     */
    public boolean RicercaValore(int valore);

    /**
     * Cancella un valore dal sotto-albero sinistro
     * @param valore il valore da cancellare
     * @throws TreeException se il valore non  presente nell'albero
     */
    public void EliminaValore(int valore) throws TreeException;
}