public class AlberoBinario implements IntAlbero {

    private Nodo root;
    public AlberoBinario() {
	root= null;
    }

    public void InserisciValore(int valore) {
	Nodo nodoCorrente= root;
	while(nodoCorrente!= null) {
	    nodoCorrente= nodoCorrente.getLeftChild();
	}
	nodoCorrente= new Nodo(valore);
    }

    public boolean RicercaValore(int valore){
	Nodo nodoCorrente = root;
	boolean trovato = false;
	while((nodoCorrente!= null) && (!trovato)) {
	    if( valore != nodoCorrente.getValue())
		nodoCorrente = nodoCorrente.getLeftChild();
	    else
		trovato = true;
	    }
	return trovato;
	}

    public void EliminaValore(int valore)  throws TreeException{
	if(root == null) throw new TreeException("Albero Nullo");
	if(valore == root.getValue()) 
	    root = null;
	// Cerca il nodo
	Nodo nodoCorrente = root, parent = null;
	while( (nodoCorrente!= null) && 
	       (valore != nodoCorrente.getValue())) {
		   parent = nodoCorrente;
		   nodoCorrente= nodoCorrente.getLeftChild();
	       }
	if (nodoCorrente == null) throw new TreeException("Valore inesistente");
    }
}