/**
 * Un oggetto della classe <code>ErreQuattro</code> rappresenta
 * un elemento dello spazio vettoriale R^4
 */
public class ErreQuattro  extends ErreTre   {
  // CAMPI

  private double w; // quarta coordinata

  // COSTRUTTORI
  /**
   * Costruisce un nuovo vettore
   */
    public ErreQuattro(double x, double y, double z, double w) {
	super(x,y,z);
	
	this.w = w;
  }


  // METODI

   public void piu(ErreQuattro v) {
       super.piu(v);
       this.w = this.w + v.w;
   }

   private boolean equals(ErreQuattro v) {
      return super.equals(v) &&
				this.w == v.w;
  }

    public boolean equals(Object o) {
	if (o instanceof ErreQuattro) {
	    ErreQuattro a = (ErreQuattro) o;
	    return equals(a);
	} else
	    return false;
    }
    

   public String toString() {
       return "<"+ super.x +" , "+ super.y +" , "
               + super.z +" , "+ this.w +" > ";
   }


     public double getW() {
       return this.w;
   }

   public void setW(double w) {
      this.w = w;
  }



  public  void azzera(){
		super.azzera();
		this.w = 0;

 }

 // copia dell'oggetto

 public ErreQuattro copia (){
 return new ErreQuattro (getX(), getY(), getZ(),getW());
}
}
