/**
 * Un oggetto della classe <code>ErreTre</code> rappresenta
 * un elemento dello spazio vettoriale R^3
 */
public class ErreTre  {
  // CAMPI
  protected double x; // prima coordinata
  protected double y; // seconda coordinata
  protected double z; // terza coordinata


  // COSTRUTTORI
  /**
   * Costruisce un nuovo vettore
   */
  public ErreTre(double x, double y, double z) {
    this.x = x;
    this.y = y;
    this.z = z;
  }


  // METODI

  public void piu(ErreTre v) {
    this.x = this.x + v.x;
    this.y = this.y + v.y;
    this.z = this.z + v.z;
  }

  public void moltS(double s) {
      this.x = s * this.x;
      this.y = s * this.y;
      this.z = s * this.z;
  }


  private boolean equals(ErreTre v) {
      return this.x == v.x &&
              this.y == v.y &&
              this.z == v.z;
  }


   public boolean equals(Object o) {
	if (o instanceof ErreTre) {
	    ErreTre a = (ErreTre) o;
	    return equals(a);
	} else
	    return false;
    }
    

  public String toString() {
      return "<"+ this.x +" , "+ this.y +" , "+ this.z +" > ";
  }


  public double getX() {
      return this.x;
  }

  public double getY() {
      return this.y;
  }

  public double getZ() {
      return this.z;
  }


  public void setX(double x) {
      this.x = x;
  }

  public void setY(double y) {
      this.y = y;
  }
  public void setZ(double z) {
     this.z = z;
 }


 public  void azzera(){
     this.x = 0;
     this.y = 0;
     this.z = 0;
 }







}
